define({ 
  //Type your controller code here 
  //   populateData : function (seg) 
  //   { 
  //     //Provide some sample data for segment
  //     var myItems = 
  //         [[ "Fruit", [{"item":"Orange"},{"item":"Mango"}]],
  //          [ "Furniture", [{"item":"Sofa"}, {"item":"Chair"}]],
  //          ["Cars", [{"item":"Toyota"},{"item":"Suburu"}]]];
  //     seg.widgetDataMap = {lblItem:"item"};
  //     seg.setData(myItems);
  //   },
  //  populateAddAllData : function (seg) 
  populateData : function (seg) 
  { 
    //Provide some sample data for segment

    var myItems = [];
    var nSection = 0;

    myItems[0] = ["Fruit", [{"item":"Orange"},{"item":"Mango"}]];
    seg.widgetDataMap = {lblItem:"item"};
    this.view.segItems.setData(myItems);
	//nSection++;
    
    myItems = [];
    myItems[0] = ["Furniture", [{"item":"Sofa"}, {"item":"Chair"}]];
    seg.widgetDataMap = {lblItem:"item"};
    this.view.segItems.addSectionAt(myItems, nSection);
	//nSection++;
    
    myItems = [];
    myItems[0] = ["Cars", [{"item":"Toyota"},{"item":"Suburu"}]];
    seg.widgetDataMap = {lblItem:"item"};
    this.view.segItems.addSectionAt(myItems, nSection);

  },
  sectionExists: function(seg, sSection){
    //loop through sections and return position if found, or -1 if it doesn't
    for (i=0; i<seg.data.length; i++)
    {
      if (sSection === seg.data[i][0])
      {
        return i;
      }
    }
    return -1;
  },
  rowExists: function(seg, nSection, sRow){
    //loop through sections and return position if found, or -1 if it doesn't
    for (i=0; i<seg.data[nSection][1].length; i++)
    {
      if (sRow === seg.data[nSection][1][i].item)
      {
        return i;
      }
    }
    return -1;
  },
  addItem : function (seg, sSection, sRow)
  {
    // Check if section exists
    var nSection = this.sectionExists(seg, sSection);

    // add row to section if found, or add entire section
    if (nSection >= 0)
    {
      if (this.rowExists(seg, nSection, sRow) === -1)
        seg.addDataAt({item:sRow}, 0, nSection);
      else 
        alert ("Item exists!");
    }
    else
      seg.addSectionAt([[sSection,[{item:sRow}]]], 0);

  },
  removeItem: function (seg)
  {
    //save row and section from selectedRowIndex
    nSection = seg.selectedRowIndex[0];
    nRow = seg.selectedRowIndex[1];

    //1 means it's the last item, just remove the section
    if (seg.data[nSection][1].length === 1)
      seg.removeSectionAt(nSection);
    else
      seg.removeAt(nRow, nSection);

  }
});